/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/AC.H__   1.6   20 Jun 1996 09:30:24   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/AC.H__  $
** 
**    Rev 1.6   20 Jun 1996 09:30:24   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:25:02   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:37:46   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// ac.h
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _AC_
#define _AC_

class ACTool : public CToolOption
{      
// constructor/destructor
public:
    ACTool() { SetDefault(); }
    
// attributes
public:      
    int     m_nRegBank;
    int     m_nMemoryModel;
    int     m_nOptimize;
    CString m_strMore;
    BOOL    m_fStrInRom;
    BOOL    m_fUChar;
    BOOL    m_fNoWarn;
    CString m_strPath;
    
    virtual LPCSTR GetToolName(void) const 
    {
        return "BSO cc51 Compiler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _AC_
